Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.servlet.http
Class HttpServletRequest

    java.lang.Object
      javax.servlet.http.HttpServletRequest

    public class HttpServletRequest

extends Object

Provides request information for HTTP servlets. The servlet container (the abstract HttpServlet on lejos), creates an `HttpServletRequest` object and passes it as an argument to the servlet's service methods: (`doGet`).

Author:
  Lawrie Griffiths

Constructor Summary
`HttpServletRequest()`

Method Summary
`String` | `getParameter(String name)` Returns the named parameter value, or null if there is no such parameter.
`int` | `getParameterLength()` Returns the real length of the current parameter.
`String` | `getQueryString()` Returns the Query String This is the part of a URI after any "?".
`int` | `getQueryStringLength()` Returns the real Query String Length.
`String` | `getRequestURI()` Returns the Request URI.
`String` | `getServletPath()` Returns the Servlet Path.
`int` | `getServletPathLength()` Returns the real Servlet Path Length.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait`

Constructor Detail

### HttpServletRequest

    public HttpServletRequest()

Method Detail

### getServletPath

    public String getServletPath()

  Returns the Servlet Path. On lejos, this is the whole path up to the start of any query string

  Returns:
    the servlet path

### getRequestURI

    public String getRequestURI()

  Returns the Request URI. On lejos, this is the whole path up to the start of any query string. It is the same as Servlet Path.

  Returns:
    the request URI

### getServletPathLength

    public int getServletPathLength()

  Returns the real Servlet Path Length. On lejos, servlet paths are padded with spaces to re-use Strings. This extra method, returns the real length of the path.

  Returns:
    the servlet path length

### getQueryString

    public String getQueryString()

  Returns the Query String This is the part of a URI after any "?". It is all spaces is there is no Query String

  Returns:
    the request URI

### getQueryStringLength

    public int getQueryStringLength()

  Returns the real Query String Length. On lejos, query strings are padded with spaces to re-use Strings. This extra method, returns the real length of the query string.

  Returns:
    the query string length

### getParameter

    public String getParameter(String name)

  Returns the named parameter value, or null if there is no such parameter. The returned string is re-used, so do not rely on it after a subsequent call of getParameter.

  Parameters:
    `name` - The required parameter.
  Returns:
    the parameter value or null

### getParameterLength

    public int getParameterLength()

  Returns the real length of the current parameter. On lejos, parameters are padded with spaces to re-use Strings. This extra method, returns the real length of the parameter value returned by the latest call of getParameter().

  Returns:
    the parameter value length

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD